Skip to main content
GET
/
api
/
contacts
/
{id}
GET /api/contacts/{id}
curl --request GET \
  --url https://api.sippet.ai/api/contacts/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "type": "<string>",
    "attributes": {
      "full_name": "<string>",
      "email": "<string>",
      "notes": "<string>",
      "phone_e164": "<string>"
    },
    "relationships": {}
  },
  "included": [
    "<unknown>"
  ],
  "meta": {}
}

Authorizations

Authorization
string
header
required

JWT for bearer authentication

Path Parameters

id
string
required

Query Parameters

include
string

Relationship paths to include in the response

Pattern: ^()(,())*$
fields
object

Limits the response fields to only those listed for each type

Example:
{
"Contact": "id,full_name,email,phone_e164,notes"
}

Response

Success

data
object

A "Resource object" representing a Contact

included
any[]
meta
object